package com.zksy.drainage.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zksy.base.domain.EquipmentPointRel;

import java.util.List;

public interface DrainageEquipmentPointRelService extends IService<EquipmentPointRel> {

    Page<EquipmentPointRel> findByPage(long pageNum, long pageSize,
                                       String equipmentId, String pointId);

    boolean saveWithCheck(EquipmentPointRel entity);

    boolean saveBatchWithCheck(List<EquipmentPointRel> entityList);

    boolean removeWithCheck(String id);

    boolean removeBatchWithCheck(List<String> ids);

    List<EquipmentPointRel> getByEquipmentId(String equipmentId);

    List<EquipmentPointRel> getByPointId(String pointId);
}
